# Portail web de CreativeCalc
Ceci est le (simple) portail web de [CreativeCalc](http://creativecalc.fr/),
l'association derrière [Planète Casio](https://www.planet-casio.com).
Il est construit avec Jekyll 3.4.3.

## En local :

Commencez par [Installer Jekyll](https://jekyllrb.com/docs/installation/). Ensuite :

Pour installer les dépendances :

	bundle install

Pour construire le site (le résultat sera dans `_site/`) :

	jekyll build

Pour visualiser le site pendant que l'on fait des modifications au template ou
au contenu :

	jekyll serve

## Sur le serveur

Les modifications sont checkées via une cron tous les jours. Si vous voulez mettre à jour à la main, connectez vous avec vos identifiants sur le VPS

Pour se placer dans le bon dossier :

    cd /var/web/creativecalc.fr

Pour récupérer les modifications (il est nécessaire de passer par le compte deployer, une question de clés SSH) :

    sudo -u deployer git pull origin master
    
Pour refaire le site

    bundler exec jekyll build
    
Et là normalement c'est ok.